Probatix Diagnostics API v1
Retrieves a DiagnosticOrder resource.
Retrieves a DiagnosticOrder resource.
Retrieves a DiagnosticOrder resource.
Authorization
apiKey X-API-TOKEN<token>
In: header
Path Parameters
id*string (uuid)
DiagnosticOrder identifier
Header Parameters
accept-language?string
Language for Errors and Translatable properties
Allowed values: "de", "en", "fr"
Response Body
curl -X GET "https://example.com/v1/diagnostic_orders/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "accept-language: de"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "diagnosticTests": [ "/entity/1" ], "createdAt": "2019-08-24T14:15:22Z", "fulfilledAt": "2019-08-24T14:15:22Z", "shipmentTracking": { "provider": "DHL", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "trackingCode": "string", "url": "string", "shipmentStatus": "confirmed", "providerStatus": "string", "rawProviderHistory": [ "string" ] }, "shippingAddress": { "address1": "string", "address2": "string", "zip": "string", "city": "string", "countryCode": "DE", "firstName": "string", "lastName": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "phone": "string", "company": "string", "name": "string" }, "metadata": [ "string" ]}